Doomsday Engine - Feature #1407

Customizable console keys
2006-07-31 21:49 - deus-ex

Status: Progressed Start date: 2006-07-31
Priority: Normal % Done: 20%
Assignee:

Category: User experience

Target version: 3.0

Description

Recently the behaviour for some of the console keys

where changed (eg. page-up/down). Since not everybody

(including myself) feels comfortable with these

changes we would be better off if the Console controls

could be made bindable too.

Labels: Customizability

Related issues:

Related to Feature #2286: Editing all global Doomsday key bindings New 2018-10-12

History

#1 - 2006-08-02 03:34 - danij

- assigned_to: Daniel Swanson --> nobody

#2 - 2013-10-22 07:29 - skyjake

- Tags set to Console, Bindings

- Subject changed from Customizable Console Control-Keys to Customizable console keys

- Category set to User experience
- Status changed from New to In Progress

- % Done changed from 0 to 20

This is partially implemented in the form of WidgetActions. In ConsoleWidget, we could capture non-text inserting keys and give them to the bindings
subsystem. However, to make things a little more elegant, the bindings subsystem should be able to bind de::Action instances instead of console

command strings.

#3 - 2016-07-05 23:54 - skyjake

- Status changed from In Progress to Progressed

#4 - 2019-11-29 16:35 - skyjake
- Related to Feature #2286: Editing all global Doomsday key bindings added

#5 - 2019-11-29 16:36 - skyjake

- Target version set to 3.0
